package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdMember;
import com.xmomen.module.base.entity.CdMemberExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdMemberMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdMemberExample example);

    // 根据条件删除记录
    int deleteByExample(CdMemberExample example);

    // 插入记录
    int insertSelective(CdMember record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdMember record, @Param("example") CdMemberExample example);
}